var express = require('express');
var router = express.Router();
var docker = require('../bin/dockerode');



router.get('/:id', (req, res, next) => {
  if (req.params.id.startsWith("mc") == true) {
    startContainer(req.params.id).then(data => {
      res.send(data);
    });
  }
  else {
    res.send("not whitelisted");
  }
});


function startContainer(containername) {
  return new Promise((resolve, reject) => {
    const container = docker.getContainer(containername);
    container.start((err, data) => {
      resolve({ err, data });
    });
  })
}


module.exports = router;